Need upgrade for 4.0 Rated 3 out of 5 stars

This worked great until Firefox 4.0 RC came out. It needs to be upgraded for 4.0

This review is for a previous version of the add-on (1.2.1).